> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer-stage.shipbob.dev/2026-07/api/orders/get-shipping-methods/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-stage.shipbob.dev/_mcp/server. # Get Shipping Methods GET https://sandbox-api.shipbob.com/2026-07/shipping-method Retrieves all available shipping methods configured for your merchant account. Reference: https://developer-stage.shipbob.dev/api/orders/get-shipping-methods ## Authentication - `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token - `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens ## Request ### Query parameters - `Page` (integer, optional) — Page of orders to get - `Limit` (integer, optional) — Amount of records per page to request ## Response ### 200 Success - `list of Orders.ShipMethodDetailViewModel` ## Errors ### 400 Bad Request Error Bad Request - `map from string to list of string` ### 401 Unauthorized Error No access right at this time - `any` ### 403 Forbidden Error No access - `any` ### 422 Unprocessable Entity Error Client Error - `map from string to list of string` ## Types ### Orders.ShipMethodDetailViewModel - `active` (boolean, optional) — Indicates if the shipping method is active - `default` (boolean, optional) — Indicates the shipping method is a ShipBob default shipping method. - `id` (integer, optional) — Unique id for shipping method. - `name` (string, optional, nullable) — Name of the ship method as selected by the merchant and saved in ShipBob’s database (i.e. “ground”). Corresponds to the shipping_method field in the Orders API. - `service_level` (Orders.ServiceLevelDetailViewModel, optional) ### Orders.ServiceLevelDetailViewModel - `id` (integer, optional) — Unique id for the service level - `name` (string, optional, nullable) — The name or title of the service level ## Examples **Response** ```json [ { "active": true, "default": true, "id": 0, "name": "string", "service_level": { "id": 0, "name": "string" } } ] ``` **SDK Code** ```python default import requests url = "https://sandbox-api.shipbob.com/2026-07/shipping-method" querystring = {"Page":"2147483647","Limit":"1"} headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript default const url = 'https://sandbox-api.shipbob.com/2026-07/shipping-method?Page=2147483647&Limit=1'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go default package main import ( "fmt" "net/http" "io" ) func main() { url := "https://sandbox-api.shipbob.com/2026-07/shipping-method?Page=2147483647&Limit=1" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby default require 'uri' require 'net/http' url = URI("https://sandbox-api.shipbob.com/2026-07/shipping-method?Page=2147483647&Limit=1") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java default import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://sandbox-api.shipbob.com/2026-07/shipping-method?Page=2147483647&Limit=1") .header("Authorization", "Bearer ") .asString(); ``` ```php default request('GET', 'https://sandbox-api.shipbob.com/2026-07/shipping-method?Page=2147483647&Limit=1', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp default using RestSharp; var client = new RestClient("https://sandbox-api.shipbob.com/2026-07/shipping-method?Page=2147483647&Limit=1"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift default import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox-api.shipbob.com/2026-07/shipping-method?Page=2147483647&Limit=1")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```